PLaSK library

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
plask::IntersectionBoundarySetImpl Struct Reference

This logic holds two boundaries and represent a set intersection of them. More...

`#include <plask/mesh/boundary.hpp>`

Inheritance diagram for plask::IntersectionBoundarySetImpl:
[legend]
Collaboration diagram for plask::IntersectionBoundarySetImpl:
[legend]

## Classes
struct | IteratorImpl

## Public Member Functions
| IntersectionBoundarySetImpl (BoundaryNodeSet A, BoundaryNodeSet B)
bool | contains (std::size_t mesh_index) const override
| Check if boundary contains point with given index.
BoundaryNodeSetImpl::Iterator | begin () const override
| Get begin iterator over boundary points.
BoundaryNodeSetImpl::Iterator | end () const override
| Get end iterator over boundary points.
bool | empty () const override
| Check if this represents empty set of indexes.
Public Member Functions inherited from plask::BoundaryNodeSetImpl
virtual | ~BoundaryNodeSetImpl ()
virtual std::size_t | size () const
| Get number of points in this boundary.

## Public Attributes
BoundaryNodeSet | A
BoundaryNodeSet | B

## Additional Inherited Members
Public Types inherited from plask::BoundaryNodeSetImpl
typedef PolymorphicForwardIteratorImpl< std::size_t, std::size_t > | IteratorImpl
| Base class for boundary iterator implementation.
typedef PolymorphicForwardIterator< IteratorImpl > | Iterator
| Boundary iterator type.
typedef Iterator | const_iterator
| iterator over indexes of mesh
typedef const_iterator | iterator

## Detailed Description

This logic holds two boundaries and represent a set intersection of them.

Definition at line 625 of file boundary.hpp.

## Constructor & Destructor Documentation

## ◆ IntersectionBoundarySetImpl()

plask::IntersectionBoundarySetImpl::IntersectionBoundarySetImpl | ( | BoundaryNodeSet | A,
|  | BoundaryNodeSet | B
| ) |  |
| inline

Definition at line 689 of file boundary.hpp.

## Member Function Documentation

## ◆ begin()

BoundaryNodeSetImpl::Iterator plask::IntersectionBoundarySetImpl::begin | ( |  | ) | const
| inline override virtual

Get begin iterator over boundary points.

Returns
  begin iterator over boundary points

Implements plask::BoundaryNodeSetImpl.

Definition at line 696 of file boundary.hpp.

## ◆ contains()

bool plask::IntersectionBoundarySetImpl::contains | ( | std::size_t | mesh_index | ) | const
| inline override virtual

Check if boundary contains point with given index.

Parameters

  mesh_index | valid index of point in `mesh`

Returns
  `true` only if point with index `mesh_index` in `mesh` lies on boundary

Implements plask::BoundaryNodeSetImpl.

Definition at line 692 of file boundary.hpp.

## ◆ empty()

bool plask::IntersectionBoundarySetImpl::empty | ( |  | ) | const
| inline override virtual

Check if this represents empty set of indexes.

Returns
  `true` only if this represents empty set of indexes

Reimplemented from plask::BoundaryNodeSetImpl.

Definition at line 704 of file boundary.hpp.

## ◆ end()

BoundaryNodeSetImpl::Iterator plask::IntersectionBoundarySetImpl::end | ( |  | ) | const
| inline override virtual

Get end iterator over boundary points.

Returns
  end iterator over boundary points

Implements plask::BoundaryNodeSetImpl.

Definition at line 700 of file boundary.hpp.

## Member Data Documentation

## ◆ A

BoundaryNodeSet plask::IntersectionBoundarySetImpl::A

Definition at line 627 of file boundary.hpp.

## ◆ B

BoundaryNodeSet plask::IntersectionBoundarySetImpl::B

Definition at line 627 of file boundary.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/boundary.hpp